license_plate_api_norway
====================

En Dart-pakke for a lete opp tekniske detaljer om kjoretoy som er registrert i norge av lisensplaten

`License_plate_api_norway` gir en enkel mate a finne kjoretoydetaljer fra en lisensplate (registreringsnummer)
av en bil registrert i norge

Dette krever et brukernavn og passord, som er tilgjengelig gratis fra http://no.registreringsnummerapi.com/

## English

A Dart package for looking up technical details on vehicles registered in norway by their license plate

`license_plate_api_norway` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in norway

This requires a username and password, which is available for free from http://no.registreringsnummerapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_norway/license_plate_api_norway.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://no.registreringsnummerapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://no.registreringsnummerapi.com/

